package de.dhsn.oop.ui;

import de.dhsn.oop.data.TodoList;

import javax.swing.*;
import java.awt.*;
import java.util.List;

public class ListsOverview extends JPanel {

    public ListsOverview(List<TodoList> lists){
        super();
        this.setLayout(new GridBagLayout());
        GridBagConstraints c = new GridBagConstraints();
        c.insets = new Insets(2,2,2,2);
        c.gridx=0;
        c.gridy=0;
        for(TodoList list: lists){
            ListOverviewItem listOverviewItem = new ListOverviewItem(list);
            this.add(listOverviewItem, c);
            c.gridy++;
        }
        this.setVisible(true);
    }
}
