package de.dhsn.oop.data;

import com.google.gson.Gson;

import java.util.ArrayList;
import java.util.List;

public class TodoList {
    List<TodoItem> list;
    String listTitle;

    public TodoList(String listTitle) {
        this.listTitle = listTitle;
        this.list = new ArrayList<>();
    }

    public String getListTitle() {
        return listTitle;
    }

    public void setListTitle(String listTitle) {
        this.listTitle = listTitle;
    }

    public void addTodo(TodoItem item){
        list.add(item);
    }

    public List<TodoItem> getList(){
        return list;
    }

    public int length(){
        return list.toArray().length;
    }

    @Override
    public String toString() {
        return new Gson().toJson(this);
    }
}
