package de.dhsn.oop.ui;

import de.dhsn.oop.data.TextTodoItem;
import de.dhsn.oop.data.TodoItem;
import de.dhsn.oop.data.TodoList;

import javax.swing.*;
import java.awt.*;

public class TodoListView extends JFrame {
    class TodoListItem extends JPanel {
        public TodoListItem(TodoItem item) {

        }
    }

    JLabel title;
    TodoList list;

    public TodoListView(TodoList list) {
        super();
        this.list = list;

        for(int i = 0; i < 32; i++)
            this.list.addTodo(new TextTodoItem("item " + i));

        setMinimumSize(new Dimension(100, 100));
        setSize(new Dimension(100, 300));
        Container cp = getContentPane();
        setLayout(new BorderLayout());
        title = new JLabel(list.getListTitle());
        cp.add(title, BorderLayout.NORTH);

        // scrolling content panel
        JPanel scrollContent = new JPanel();
        //not setting a size results in immediate collapsing of the lsit upon resizing the window
        scrollContent.setMinimumSize(new Dimension(50,50));
        scrollContent.setLayout(new BoxLayout(scrollContent, BoxLayout.Y_AXIS));

        //add all todoitems in the list to the scrolpane
        for (TodoItem t : list.getList())
            scrollContent.add(t);

        JScrollPane scp = new JScrollPane(scrollContent);

        cp.add(scp,BorderLayout.CENTER);

        pack();
        setVisible(true);
    }
}
